/**********************************************************************
 *
 * $Id: selection_made_other_list.c,v 1.2 2000/05/03 19:25:29 htran Exp $
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 **********************************************************************/

#include <stdlib.h>
#include <string.h>
#include "lists.h"
#include "signal_callbacks.h"


void selection_made_other_list(GtkWidget *clist, gint row, gint column, 
			       GdkEventButton *event, gpointer data){  
  GtkWidget *dialog;
  node *this=NULL;
  extern node *otherListHead;
  gchar *text;
  char *duplicate=NULL;
  char *temp=NULL;
  char *name=(char *)malloc(sizeof(char));
  char *phone=(char *)malloc(sizeof(char));
  
  gtk_clist_get_text(GTK_CLIST(clist),row,0,&text);
  gtk_clist_unselect_all(GTK_CLIST(clist));
  
  if( (this=find_node_byname(otherListHead,text))!=NULL && this->data!=NULL ){
    /* get contact name and phone to make dialog widget */
    duplicate=(char *)strdup(this->data);
    temp=(char *)strtok(duplicate,"=\n");
    temp=(char *)strtok(NULL,"=\n");
    while( temp!=NULL ){
      if( strcmp(temp,"e")==0 )
        name=(char *)strtok(NULL,"=\n");
      if( strcmp(temp,"p")==0 )
        phone=(char *)strtok(NULL,"=\n");
      temp=(char *)strtok(NULL,"=\n");
    }
    if(phone!=NULL){
      temp=(char *)realloc(temp,sizeof(char)*
                           (strlen(name)+strlen(phone)+11+
                            (strlen("Contact Info"))) );
      sprintf(temp,"Contact Info\n%s\n%s",name,phone);
    }
    else{
      temp=(char *)realloc(temp,sizeof(char)*
                           (strlen(name)+5+(strlen("Contact Info"))));
      sprintf(temp,"Contact Info\n%s",name);
    }
	 
    dialog=draw_dialog(text,temp,this->data, 1);
    
    gtk_widget_show_all (dialog);
  }
  else
    ;   
}
    
    

